Channel activation
Begin a no-change ownership check for a company number
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuidHeader Parameters
urilength <= 204816 <= length <= 25516 <= length <= 4096Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/phone-verifications" \ -H "Origin: http://example.com" \ -H "Idempotency-Key: stringstringstri" \ -H "X-Sonzai-Reauthentication: stringstringstri" \ -H "Content-Type: application/json" \ -d '{ "locale": "string", "phone_e164": "string", "preferred_delivery": "sms" }'{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}Resend an eligible company-number ownership code
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuiduuidHeader Parameters
urilength <= 204816 <= length <= 25516 <= length <= 4096Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/phone-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08/resend" \ -H "Origin: http://example.com" \ -H "Idempotency-Key: stringstringstri" \ -H "X-Sonzai-Reauthentication: stringstringstri"{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}Verify one transient company-number ownership code
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuiduuidHeader Parameters
urilength <= 204816 <= length <= 25516 <= length <= 4096Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/phone-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08/verify" \ -H "Origin: http://example.com" \ -H "Idempotency-Key: stringstringstri" \ -H "X-Sonzai-Reauthentication: stringstringstri" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelPhoneVerificationFailureBody.json",
"attempts_remaining": 0,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"phone_masked": "string",
"provider_handoff_url": "string",
"reconciliation_required": true,
"resend_available_at": "2019-08-24T14:15:22Z",
"restart_required": true,
"state": "string",
"verification_id": "string",
"verified_at": "2019-08-24T14:15:22Z"
}Configure sender security after company-number ownership is verified
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuidHeader Parameters
urilength <= 204816 <= length <= 25516 <= length <= 4096Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/sender-registration" \ -H "Origin: http://example.com" \ -H "Idempotency-Key: stringstringstri" \ -H "X-Sonzai-Reauthentication: stringstringstri" \ -H "Content-Type: application/json" \ -d '{ "pin_custody": "customer_managed", "two_step_pin": "string", "verification_id": "5bcbf7ac-c998-46ce-aa6e-a0c1a3f1f5bd" }'{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelSenderRegistrationFailureBody.json",
"credential_cleanup_required": true,
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"phone_masked": "string",
"pin_custody": "string",
"reconciliation_required": true,
"registered_at": "2019-08-24T14:15:22Z",
"registration_id": "string",
"state": "string",
"verification_id": "string"
}Record purpose-limited consent for one owner-controlled proof recipient
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuidHeader Parameters
16 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test-recipient-consents" \ -H "Idempotency-Key: stringstringstri" \ -H "Content-Type: application/json" \ -d '{ "accepted": true, "consent_text_revision": "string", "purpose": "owner_activation_proof", "recipient_e164": "string" }'{
"$schema": "/api/v1/schemas/ChannelTestConsentSuccessBody.json",
"consent_id": "b6c6f30d-b96b-4de6-8a03-238cde9dddba",
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "owner_activation_proof",
"recipient_masked": "string",
"state": "active",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}Withdraw one purpose-limited proof-recipient consent
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuiduuidHeader Parameters
16 <= length <= 255Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test-recipient-consents/497f6eca-6276-4993-bfeb-53cbbbba6f08/withdraw" \ -H "Idempotency-Key: stringstringstri"{
"$schema": "/api/v1/schemas/ChannelTestConsentSuccessBody.json",
"consent_id": "b6c6f30d-b96b-4de6-8a03-238cde9dddba",
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "owner_activation_proof",
"recipient_masked": "string",
"state": "active",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}{
"$schema": "/api/v1/schemas/ChannelTestConsentFailureBody.json",
"consent_id": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"expires_at": "2019-08-24T14:15:22Z",
"obtained_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"recipient_masked": "string",
"state": "string",
"withdrawn_at": "2019-08-24T14:15:22Z"
}Create one consent-safe channel proof or prepare an inbound START link
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuidHeader Parameters
16 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test-runs" \ -H "Idempotency-Key: stringstringstri" \ -H "Content-Type: application/json" \ -d '{ "consent_evidence_id": "d54b238a-227f-4e5f-88b1-f94a6c2ec642", "method": "approved_template", "recipient_e164": "string", "template_revision": "string" }'{
"$schema": "/api/v1/schemas/ChannelTestRunSuccessBody.json",
"cost_class": "usage_credit",
"deep_link": "http://example.com",
"eligibility_basis": "string",
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "approved_template",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "requested",
"synthetic": true,
"test_run_id": "01dbc221-8963-4bd7-8591-4a1f9d286862"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}Read one browser-safe proof and provider receipt
Authorization
bearerClerk Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Path Parameters
uuiduuiduuidResponse Body
application/json
curl -X GET "https://loading/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/channel-activations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"$schema": "/api/v1/schemas/ChannelTestRunSuccessBody.json",
"cost_class": "usage_credit",
"deep_link": "http://example.com",
"eligibility_basis": "string",
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "approved_template",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "requested",
"synthetic": true,
"test_run_id": "01dbc221-8963-4bd7-8591-4a1f9d286862"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}{
"$schema": "/api/v1/schemas/ChannelTestRunFailureBody.json",
"cost_class": "string",
"deep_link": "string",
"eligibility_basis": "string",
"error": {
"code": "string",
"message": "string",
"requestId": "string"
},
"final_at": "2019-08-24T14:15:22Z",
"inbound_start_expires_at": "2019-08-24T14:15:22Z",
"method": "string",
"preview": "string",
"provider_message_id": "string",
"receipt_id": "string",
"recipient_masked": "string",
"requested_at": "2019-08-24T14:15:22Z",
"sender_identity": "string",
"state": "string",
"synthetic": true,
"test_run_id": "string"
}